> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/mts-features-examples/max-stake-retrieval.md).

# Max Stake Retrieval

This example shows how the maximum acceptable stake for a bet can be retrieved. The Max Stake Request contains a regular ticket, in this case there are three selections within one bet. The ticket itself has not yet been placed, the client wants to know the maximum stake first. The stake value is not relevant here, but it must follow the rules set by the regex. The stake type must be "cash". For details on the stake array, please see the description on the [Ticket Placement Request](/transaction30api/api-description/ticket-json-format-description/ticket-placement-request.md) page.

The maximum stake is returned in the bets array of the Max Stake Response, as the stake of the first bet in the array. In terms of Max stake, the only supported stake type is "cash".<br>

<details>

<summary><strong>Max Stake Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "max-stake",
    "ticket": {
      "type": "ticket",
      "ticketId": "Ticket_8321",
      "bets": [
        {
          "betId": "Ticket_8321_bet_0",
          "selections": [
            {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14938771",
              "marketId": "223",
              "outcomeId": "1715",
              "specifiers": "hcp=1.5",
              "odds": {
                "type": "decimal",
                "value": "1.1"
              }
            },
            {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:15163591",
              "marketId": "1",
              "outcomeId": "2",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.48"
              }
            },
            {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:15050881",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "1.32"
              }
            }
          ],
          "stake": [
            {
              "type": "cash",
              "currency": "EUR",
              "amount": "1"
            }
          ]
        }
      ],
      "context": {
        "channel": {
          "type": "retail",
          "shopId": "shop_789135"
        },
        "limitId": 1409
      }
    }
  },
  "correlationId": "21re09iwny",
  "timestampUtc": 1732700792000,
  "operation": "max-stake",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Max Stake Response</strong></summary>

```json
{
  "content": {
    "type": "max-stake-reply",
    "bets": [
      {
        "betId": "Ticket_8321_bet_0",
        "selections": [
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:14938771",
            "marketId": "223",
            "outcomeId": "1715",
            "specifiers": "hcp=1.5",
            "odds": {
              "type": "decimal",
              "value": "1.1"
            }
          },
          {
            "type": "uf",
            "productId": "1",
            "eventId": "sr:match:15163591",
            "marketId": "1",
            "outcomeId": "2",
            "specifiers": "hcp=1:0",
            "odds": {
              "type": "decimal",
              "value": "1.48"
            }
          },
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:15050881",
            "marketId": "1",
            "outcomeId": "2",
            "odds": {
              "type": "decimal",
              "value": "1.32"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "2872.885"
          }
        ]
      }
    ],
    "code": 0,
    "message": "Transaction processed"
  },
  "correlationId": "21re09iwny",
  "timestampUtc": 1732700793000,
  "operation": "max-stake",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/mts-features-examples/max-stake-retrieval.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
